Package org.eclipse.microprofile.openapi.models

# Interface ExternalDocumentation

All Superinterfaces:
  `Constructible`, `Extensible<ExternalDocumentation>`

public interface ExternalDocumentation extends Constructible, Extensible<ExternalDocumentation>
ExternalDocumentation

Allows referencing an external resource for extended documentation.

See Also:
  - OpenAPI Specification External Documentation Object

## Method Summary

Modifier and Type
Method
Description
`default ExternalDocumentation`
`description(String description)`
Sets this ExternalDocumentation's description property to the given string.
`String`
`getDescription()`
Returns the description property from an ExternalDocumentation instance.
`String`
`getUrl()`
Returns the url property from an ExternalDocumentation instance.
`void`
`setDescription(String description)`
Sets this ExternalDocumentation's description property to the given string.
`void`
`setUrl(String url)`
Sets this ExternalDocumentation's url property to the given string.
`default ExternalDocumentation`
`url(String url)`
Sets this ExternalDocumentation's url property to the given string.

### Methods inherited from interface org.eclipse.microprofile.openapi.models.Extensible

`addExtension, extensions, getExtensions, removeExtension, setExtensions`

## Method Details

### getDescription

String getDescription()
Returns the description property from an ExternalDocumentation instance.

Returns:
  a short description of the target documentation

### setDescription

void setDescription(String description)
Sets this ExternalDocumentation's description property to the given string.

Parameters:
  `description` - a short description of the target documentation

### description

default ExternalDocumentation description(String description)
Sets this ExternalDocumentation's description property to the given string.

Parameters:
  `description` - a short description of the target documentation
Returns:
  the current ExternalDocumentation instance

### getUrl

String getUrl()
Returns the url property from an ExternalDocumentation instance.

Returns:
  the URL for the target documentation

### setUrl

void setUrl(String url)
Sets this ExternalDocumentation's url property to the given string.

Parameters:
  `url` - the URL for the target documentation

### url

default ExternalDocumentation url(String url)
Sets this ExternalDocumentation's url property to the given string.

Parameters:
  `url` - the URL for the target documentation
Returns:
  the current ExternalDocumentation instance